%global srcname pyrpm
%global foldername python-rpm-spec

Summary:        Python module for parsing RPM spec files
Name:           python-%{srcname}
Version:        0.14.1
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/bkircher/python-rpm-spec
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  python3-devel python3dist(pytest)

BuildArch:      noarch

%description 
This package provides a Python module for parsing RPM specification files, which allows you to 
parse the specification files and access the information in the specification files.

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
This package provides a Python module for parsing RPM specification files, which allows you to 
parse the specification files and access the information in the specification files.

%prep
%autosetup -p1 -n %{foldername}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc AUTHORS CHANGELOG.md README.md examples/

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.1-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 3 2023 Wang Guodong <gordonwwang@tencent.com> - 0.14.1-1
- initial build
